Package be.fgov.ehealth.mycarenet.commons.core.v3

# Class ObjectFactory

java.lang.Object
be.fgov.ehealth.mycarenet.commons.core.v3.ObjectFactory

public class ObjectFactory extends Object
This object contains factory methods for each Java content interface and Java element interface generated in the be.fgov.ehealth.mycarenet.commons.core.v3 package.

An ObjectFactory allows you to programmatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectFactory()`
  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.mycarenet.commons.core.v3

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BlobType`
  `createBlobType()`
  Create an instance of `BlobType`
  `CareProviderType`
  `createCareProviderType()`
  Create an instance of `CareProviderType`
  `CareReceiverIdType`
  `createCareReceiverIdType()`
  Create an instance of `CareReceiverIdType`
  `CommonInputType`
  `createCommonInputType()`
  Create an instance of `CommonInputType`
  `CommonOutputType`
  `createCommonOutputType()`
  Create an instance of `CommonOutputType`
  `IdType`
  `createIdType()`
  Create an instance of `IdType`
  `LicenseType`
  `createLicenseType()`
  Create an instance of `LicenseType`
  `NihiiType`
  `createNihiiType()`
  Create an instance of `NihiiType`
  `OriginType`
  `createOriginType()`
  Create an instance of `OriginType`
  `PackageType`
  `createPackageType()`
  Create an instance of `PackageType`
  `PartyType`
  `createPartyType()`
  Create an instance of `PartyType`
  `PeriodType`
  `createPeriodType()`
  Create an instance of `PeriodType`
  `RequestType`
  `createRequestType()`
  Create an instance of `RequestType`
  `RoutingType`
  `createRoutingType()`
  Create an instance of `RoutingType`
  `ValueRefString`
  `createValueRefString()`
  Create an instance of `ValueRefString`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectFactory

    public ObjectFactory()
    Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.mycarenet.commons.core.v3

- ## Method Details

  - ### createCommonInputType

    public CommonInputType createCommonInputType()
    Create an instance of `CommonInputType`
    Returns:
      the new instance of `CommonInputType`

  - ### createRequestType

    public RequestType createRequestType()
    Create an instance of `RequestType`
    Returns:
      the new instance of `RequestType`

  - ### createOriginType

    public OriginType createOriginType()
    Create an instance of `OriginType`
    Returns:
      the new instance of `OriginType`

  - ### createValueRefString

    public ValueRefString createValueRefString()
    Create an instance of `ValueRefString`
    Returns:
      the new instance of `ValueRefString`

  - ### createCareProviderType

    public CareProviderType createCareProviderType()
    Create an instance of `CareProviderType`
    Returns:
      the new instance of `CareProviderType`

  - ### createIdType

    public IdType createIdType()
    Create an instance of `IdType`
    Returns:
      the new instance of `IdType`

  - ### createNihiiType

    public NihiiType createNihiiType()
    Create an instance of `NihiiType`
    Returns:
      the new instance of `NihiiType`

  - ### createPackageType

    public PackageType createPackageType()
    Create an instance of `PackageType`
    Returns:
      the new instance of `PackageType`

  - ### createLicenseType

    public LicenseType createLicenseType()
    Create an instance of `LicenseType`
    Returns:
      the new instance of `LicenseType`

  - ### createPartyType

    public PartyType createPartyType()
    Create an instance of `PartyType`
    Returns:
      the new instance of `PartyType`

  - ### createCommonOutputType

    public CommonOutputType createCommonOutputType()
    Create an instance of `CommonOutputType`
    Returns:
      the new instance of `CommonOutputType`

  - ### createRoutingType

    public RoutingType createRoutingType()
    Create an instance of `RoutingType`
    Returns:
      the new instance of `RoutingType`

  - ### createCareReceiverIdType

    public CareReceiverIdType createCareReceiverIdType()
    Create an instance of `CareReceiverIdType`
    Returns:
      the new instance of `CareReceiverIdType`

  - ### createPeriodType

    public PeriodType createPeriodType()
    Create an instance of `PeriodType`
    Returns:
      the new instance of `PeriodType`

  - ### createBlobType

    public BlobType createBlobType()
    Create an instance of `BlobType`
    Returns:
      the new instance of `BlobType`